VST 3 Interfaces: IKeyswitchController Class Reference
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IKeyswitchController Class Referenceabstract

Extended plug-in interface IEditController for key switches support: Vst::IKeyswitchController. More...

`#include <ivstnoteexpression.h>`

Inheritance diagram for IKeyswitchController:

## Public Member Functions
virtual int32 | getKeyswitchCount (int32 busIndex, int16 channel)=0
| Returns number of supported key switches for event bus index and channel.
virtual tresult | getKeyswitchInfo (int32 busIndex, int16 channel, int32 keySwitchIndex, KeyswitchInfo &info)=0
| Returns key switch info.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Extended plug-in interface IEditController for key switches support: Vst::IKeyswitchController.

- [plug imp]
- [extends IEditController]
- [released: 3.5.0]
- [optional]

When a (instrument) plug-in supports such interface, the host could get from the plug-in the current set of used key switches (megatrig/articulation) for a given channel of a event bus and then automatically use them (like in Cubase 6) to create VST Expression Map (allowing to associated symbol to a given articulation / key switch).

## Member Function Documentation

virtual int32 getKeyswitchCount | ( | int32 | busIndex,
|  | int16 | channel
| ) |  |
| pure virtual

Returns number of supported key switches for event bus index and channel.

virtual tresult getKeyswitchInfo | ( | int32 | busIndex,
|  | int16 | channel,
|  | int32 | keySwitchIndex,
|  | KeyswitchInfo & | info
| ) |  |
| pure virtual

Returns key switch info.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.